###################################################
### chunk number 1: 
###################################################
    library(RankAggreg)


###################################################
### chunk number 2:  eval=FALSE
###################################################
##     help(package="RankAggreg")
##     vignette("RankAggreg")


###################################################
### chunk number 3: 
###################################################
options(width=55)
library(xtable)


###################################################
### chunk number 4: 
###################################################
    library(clValid)
    data(mouse)
    express <- mouse[1:100,c("M1","M2","M3","NC1","NC2","NC3")]
    rownames(express) <- mouse$ID[1:100]
    set.seed(100)
    result <- clValid(express, 5, 
        clMethods=c("hierarchical","fanny","model", "kmeans","sota","pam","clara",
        "agnes", "diana", "som"), validation=c("internal","stability"))


###################################################
### chunk number 5: 
###################################################
    getRanks_Weights <- function(clObj){
    temp <- clObj@measures[,1,]
    ranks <- matrix(0, nrow(temp), ncol(temp))
    colnames(ranks) <- 1:ncol(ranks)
    rownames(ranks) <- rownames(temp)
    weights <- ranks

    algs <- colnames(temp)
    measures <- rownames(temp)

    for(i in 1:nrow(temp)){
        if(measures[i] %in% c("Dunn", "Silhouette"))
            incr <- TRUE
        else
            incr <- FALSE   
        sorted <- sort(temp[i,], ind=TRUE, decreasing=incr)
        ranks[i,] <- algs[sorted$ix]
        weights[i,] <- sorted$x
    }
    list(ranks=ranks, weights=weights)
    }

    res <- getRanks_Weights(result)
    shortNames <- sort(c("SM","ST", "FN", "KM", "PM", "HR", "AG", "CL", "DI", "MO"))
    longNames <- sort(unique(as.vector(res$ranks)))
    for(i in 1:length(shortNames))
        res$ranks[res$ranks==longNames[i]] <- shortNames[i]
    


###################################################
### chunk number 6: 
###################################################
    print(res$ranks, quote=FALSE)


###################################################
### chunk number 7: 
###################################################
    round(res$weights, 3)


###################################################
### chunk number 8: 
###################################################
load("aggr_res.Rdata")


###################################################
### chunk number 9:  eval=FALSE
###################################################
## BruteAggreg(res$ranks, 10, res$weights, "Spearman")


###################################################
### chunk number 10:  eval=FALSE
###################################################
## (CEWS <- RankAggreg(res$ranks, 10, res$weights, seed=123))


###################################################
### chunk number 11: 
###################################################
CEWS


###################################################
### chunk number 12: figure1
###################################################
plot(CEWS)


###################################################
### chunk number 13: fig1
###################################################
plot(CEWS)


###################################################
### chunk number 14:  eval=FALSE
###################################################
## (CEWK <- RankAggreg(res$ranks, 10, res$weights, "CE", "Kendall", seed=123, verbose=FALSE))


###################################################
### chunk number 15: 
###################################################
CEWK


###################################################
### chunk number 16:  eval=FALSE
###################################################
## (GAWS <- RankAggreg(res$ranks, 10, res$weights, "GA", "Spearman",seed=123, verbose=FALSE))


###################################################
### chunk number 17: 
###################################################
GAWS


###################################################
### chunk number 18:  eval=FALSE
###################################################
## (GAWK <- RankAggreg(res$ranks, 10, res$weights, "GA", "Kendall",seed=123, verbose=FALSE))


###################################################
### chunk number 19: 
###################################################
GAWK


###################################################
### chunk number 20: figure2
###################################################
plot(GAWS)


###################################################
### chunk number 21: fig2
###################################################
plot(GAWS)


###################################################
### chunk number 22: 
###################################################
data(geneLists)


###################################################
### chunk number 23: 
###################################################
xtable(t(geneLists), caption="Top-25 upregulated genes from 5 prostate microarray experiments.")


###################################################
### chunk number 24:  eval=FALSE
###################################################
## top25CE <- RankAggreg(geneLists, 25, seed=100, rho=.01)


###################################################
### chunk number 25: 
###################################################
top25CE


###################################################
### chunk number 26:  eval=FALSE
###################################################
## top25CEw <- RankAggreg(geneLists, 25, seed=100, importance=c(1,2,1,1,2), rho=.01)


###################################################
### chunk number 27: 
###################################################
top25CEw


###################################################
### chunk number 28:  eval=FALSE
###################################################
## top25GA <- RankAggreg(geneLists, 25, seed=100, method="GA", maxIter=3000, convIn=50)


###################################################
### chunk number 29: 
###################################################
top25GA


